﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 680C: (1 yr) VER IEEE /9500/1100+1Hd
DATE:                  2011-01-24 10:54:09
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       322
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
# 
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
# 
#  Additional Equipment Required:
#         See "Sub Tek TDS500D/600C/700D VER Required Equipment"
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         1GH                          1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         UUT IDENTIFICATION
  1.016  TARGET
  1.017  CALL         Sub TDS500/600/700 Setup IEEE
  1.018  IEEE2        *RST;DESE 61
  1.019  MATH         @UUT_Model = "TDS 680C"
  1.020  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Tek TDS500D/600C/700D VER Required Equipment

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.025  CALL         Sub TDS600C Specifications
  1.026  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.027  JMPL         END                          @Abort
  1.028  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.029  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.030  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.031  MATH         @Chan = 1
  1.032  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.033  MATH         @Chan = 2
  1.034  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.035  MATH         @Chan = 3
  1.036  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.037  MATH         @Chan = 4
  1.038  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.039  MATH         @Chan = 1
  1.040  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.041  JMPL         BANDWIDTH_CH1

  1.042  LABEL        DCV_ACC_CH2
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.045  JMPL         BANDWIDTH_CH2

  1.046  LABEL        DCV_ACC_CH3
  1.047  MATH         @Chan = 3
  1.048  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.049  JMPL         BANDWIDTH_CH3

  1.050  LABEL        DCV_ACC_CH4
  1.051  MATH         @Chan = 4
  1.052  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.053  JMPL         BANDWIDTH_CH4

  1.054  LABEL        BANDWIDTH_CH1
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.057  JMPL         TIMEBASE_TRIGGER

  1.058  LABEL        BANDWIDTH_CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.061  JMPL         TRIG_SENS_CH2

  1.062  LABEL        BANDWIDTH_CH3
  1.063  MATH         @Chan = 3
  1.064  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.065  JMPL         TRIG_SENS_CH3

  1.066  LABEL        BANDWIDTH_CH4
  1.067  MATH         @Chan = 4
  1.068  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.069  JMPL         TRIG_SENS_CH4

  1.070  LABEL        DELAY_MATCH
  1.071  MATH         @Chan = 1
  1.072  CALL         Sub TDS600C (1 yr) Delay Match IEEE /9500
  1.073  JMPL         OUTPUT_SIGNAL

  1.074  LABEL        TIMEBASE_TRIGGER
  1.075  MATH         @Chan = 1
  1.076  CALL         Sub TDS600C (1 yr) Time Base IEEE /9500
  1.077  JMPL         TRIG_TIME_ACC

  1.078  LABEL        DELTA_TIME
  1.079  MATH         @Chan = 1
  1.080  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.081  MATH         @Chan = 2
  1.082  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.083  MATH         @Chan = 3
  1.084  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.085  MATH         @Chan = 4
  1.086  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.087  JMPL         END

  1.088  LABEL        TRIG_TIME_ACC
  1.089  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /9500
  1.090  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.091  OPBR         -z Each channel trig sensitivity test will take about
  1.091  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.091  OPBR         channels to save time, unless desired.
  1.091  OPBR
  1.091  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.091  OPBR         3, and 4?
  1.092  MATH         @TestCh234Sens = MEM1

  1.093  MATH         @Chan = 1
  1.094  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /9500
  1.095  JMPL         DCV_ACC_CH2

  1.096  LABEL        TRIG_SENS_CH2

  1.097  IF           @TestCh234Sens
  1.098  MATH         @Chan = 2
  1.099  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.100  ENDIF

  1.101  JMPL         DCV_ACC_CH3

  1.102  LABEL        TRIG_SENS_CH3

  1.103  IF           @TestCh234Sens
  1.104  MATH         @Chan = 3
  1.105  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.106  ENDIF

  1.107  JMPL         DCV_ACC_CH4

  1.108  LABEL        TRIG_SENS_CH4

  1.109  IF           @TestCh234Sens
  1.110  MATH         @Chan = 4
  1.111  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.112  ENDIF

  1.113  JMPL         DELAY_MATCH

  1.114  LABEL        OUTPUT_SIGNAL
  1.115  CALL         Sub TDS654C/68xC (1 yr) Output Signal IEEE /9500
  1.116  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /9500
  1.117  JMPL         DELTA_TIME

  1.118  LABEL        END
  1.119  IEEE2        *RST;DESE 61

  1.120  IF           @Abort
  1.121  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.124  ENDIF

  1.125  END

